
Katello - Feature #5593

Fix menu so authorized items are displayed post single page app work

05/06/2014 07:03 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After the fix for #5537 we can now specify urls for bastion while correctly authorizing menu items, this is to track the katello changes

to get this to work.

Related issues:

Related to Katello - Feature #5217: As a user, I should have CRUD permissions... Closed 04/16/2014

Blocked by Foreman - Feature #5537: Menu/authorization: need alternative to r... Closed 04/30/2014

Associated revisions

Revision dcc48191 - 05/08/2014 01:56 PM - Walden Raines

Fixes #5593, display authorized menu items post single page app.

Revision fe48da2c - 05/08/2014 02:19 PM - Walden Raines

Merge pull request #4053 from waldenraines/5593

Fixes #5593, display authorized menu items post single page app.

History

#1 - 05/06/2014 07:04 PM - Walden Raines

- Related to Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me. added

#2 - 05/06/2014 07:05 PM - Walden Raines

- Blocked by Feature #5537: Menu/authorization: need alternative to rails controller centric authorization added

#3 - 05/06/2014 07:53 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4053

#4 - 05/08/2014 02:19 PM - Walden Raines

- Status changed from Ready For Testing to Closed

commit fe48da2cd82b638e858368b0b94a2ee879b5c61a

Merge: 13bf35e dcc4819

Author: Walden Raines <walden@redhat.com>

Date:   Thu May 8 10:19:10 2014 -0400

Merge pull request #4053 from waldenraines/5593

 
Fixes #5593, display authorized menu items post single page app.

 commit dcc4819156ed2b853e1cc53d89410d1edc838110

Author: Walden Raines <walden@redhat.com>

Date:   Tue May 6 15:03:28 2014 -0400
#5 - 05/27/2014 05:09 PM - Eric Helms

- Target version set to 44

#6 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
